### Method

# Atk Text scroll_substring_to

since: 2.32

#### Declaration [src]

    gboolean
    atk_text_scroll_substring_to (
      AtkText* text,
      gint start_offset,
      gint end_offset,
      AtkScrollType type
    )

#### Description [src]

Makes a substring of `text` visible on the screen by scrolling all necessary parents.

Available since: 2.32

#### Parameters

`start_offset`

  Type: `gint`

  Start offset in the `text`.

`end_offset`

  Type: `gint`

  End offset in the `text`, or -1 for the end of the text.

`type`

  Type: `AtkScrollType`

  Specify where the object should be made visible.

#### Return value

Type: `gboolean`

Whether scrolling was successful.